using System;
using System.Collections.Generic;
using System.Text;

// http://dobon.net/vb/dotnet/programing/plugin.html
namespace DataCutterFG
{
    public class PluginInfo
    {


        /// <summary>
        /// AZut@C̃pX
        /// </summary>
        public string Location;
        /// <summary>
        /// NX̖O
        /// </summary>
        public string ClassName;

        //LocationDllĂ
        public String DllName;

        /// <summary>
        /// PluginInfoNX̃RXgN^
        /// </summary>
        /// <param name="path">AZut@C̃pX</param>
        /// <param name="cls">NX̖O</param>
        private PluginInfo(string path, string cls)
        {
            this.Location = path;
            this.ClassName = cls;
            
            String [] parse = path.Split(new char [] {'\\'});

            this.DllName = parse[parse.Length - 1];
        }



        /// <summary>
        /// LȃvOCT
        /// </summary>
        /// <returns>LȃvOCPluginInfoz</returns>
        public static PluginInfo[] FindPlugins()
        {
            System.Collections.ArrayList plugins =
                new System.Collections.ArrayList();
            //IPlugin^̖O
            string ipluginName = typeof(DataCutter_PlugIn.PluginInterface).FullName;

            //vOCtH_
            string folder = System.IO.Path.GetDirectoryName(
                System.Reflection.Assembly
                .GetExecutingAssembly().Location);
            folder += "\\plugin";
            if (!System.IO.Directory.Exists(folder))
                throw new ApplicationException(
                    "vOCtH_\"" + folder +
                    "\"܂łB");

            //.dllt@CT
            string[] dlls =
                System.IO.Directory.GetFiles(folder, "*.dll");

            foreach (string dll in dlls)
            {
                try
                {
                    //AZuƂēǂݍ
                    System.Reflection.Assembly asm =
                        System.Reflection.Assembly.LoadFrom(dll);
                    foreach (Type t in asm.GetTypes())
                    {
                        //AZûׂĂ̌^ɂāA
                        //vOCƂėLׂ
                        if (t.IsClass && t.IsPublic && !t.IsAbstract &&
                            t.GetInterface(ipluginName) != null)
                        {
                            //PluginInfoRNVɒǉ
                            plugins.Add(
                                new PluginInfo(dll, t.FullName));
                        }
                    }
                }
                catch
                {
                }
            }

            //RNVzɂĕԂ
            return (PluginInfo[])plugins.ToArray(typeof(PluginInfo));
        }

        /// <summary>
        /// vOCNX̃CX^X쐬
        /// </summary>
        /// <returns>vOCNX̃CX^X</returns>
        public DataCutter_PlugIn.PluginInterface CreateInstance()
        {
            try
            {
                //AZuǂݍ
                System.Reflection.Assembly asm =
                    System.Reflection.Assembly.LoadFrom(this.Location);
                //NXCX^X쐬
                return (DataCutter_PlugIn.PluginInterface)
                    asm.CreateInstance(this.ClassName);
            }
            catch
            {
                return null;
            }
        }
    }
}
